#ifndef SCREEN_EFFECTS_H
#define SCREEN_EFFECTS_H

typedef unsigned char MixRow[320];
typedef MixRow *MixBuffer;

void showbuffer(int x1,int y1,int x2,int y2,void *p1,void *v);
void BadFAX(int x1,int y1,int x2,int y2,
		int delta,int uord,void *p1,void *v);
void ShowFromCorner(int x1,int y1,int x2,int y2,
			int s,int coner,void *p1,void *v);
void RandomFillArea(int x1,int y1,int x2,int y2,
			int dx,int dy,void *p1,void *v);
void Explode(int x1,int y1,int x2,int y2,void *p1,void *v);
void Slide(int x1,int y1,int x2,int y2,
		int step,int ulrd,void *p1,void *v);

//if direct = 0 then y2-y1 must be even
//and if direct = 1 then x2-x1 must be even
void ShowFromCenter(int x1,int y1,int x2,int y2,
			int direct,void *p1,void *v);
void ShowToCenter(int x1,int y1,int x2,int y2,
			int direct,void *p1,void *v);
void Jalousie(int x1,int y1,int x2,int y2,int step,
			int direct,void *p1,void *v);
void Develope(int x1,int y1,int x2,int y2,
			int divisor,void *p1,void *v);
void Gone_with_the_wind(int x1,int y1,int x2,int y2,
				void *p1,void *p2,void *v);
void CenterExplode(int x1,int y1,int x2,int y2,int step,
				void *p1,void *p2,void *v);
#endif